package javamag.asm;

public class CounterMain {

    public static void main(String[] args) throws InterruptedException {
        int MAX_INC = 10_000_000;
        Counter c = new Counter();
        Runnable r = () -> {
            for (int i = 0; i < MAX_INC; i++) {
                c.increment();
            }
        };
        Thread t1 = new Thread(r);
        Thread t2 = new Thread(r);
        t1.start();
        t2.start();
        t1.join();
        t2.join();
        int disc = 2 * MAX_INC - c.increment() + 1;
        System.out.println("Discrepancy: "+ disc);
    }
}